--- old/usr/src/man/man1m/share_nfs.1m	Sat Dec 17 15:39:40 2016
+++ new/usr/src/man/man1m/share_nfs.1m	Sat Dec 17 15:39:40 2016
@@ -21,8 +21,9 @@
 .\"
 .\" Copyright (C) 2008, Sun Microsystems, Inc. All Rights Reserved
 .\" Copyright 2014 Nexenta Systems, Inc.  All rights reserved.
+.\" Copyright 2016 Jason King.
 .\"
-.Dd November 10, 2014
+.Dd December 16, 2016
 .Dt SHARE_NFS 1M
 .Os
 .Sh NAME
@@ -157,6 +158,13 @@
 .Pa /etc/nfs/nfslog.conf
 are used. Support of NFS server logging is only available for NFS Version 2 and
 Version 3 requests.
+.It Sy noaclfab
+By default, the NFS server will fabricate POSIX-draft style ACLs in response
+to ACL requests from NFS Version 2 or Version 3 clients accessing shared
+file systems that do not support POSIX-draft ACLs (such as ZFS).
+Specifying
+.Sy noaclfab
+disables this behavior.
 .It Sy none Ns = Ns Ar access_list
 Access is not allowed to any client that matches the access list. The exception
 is when the access list is an asterisk (*), in which case
@@ -519,6 +527,7 @@
 .Xr getnetbyname 3SOCKET ,
 .Xr netgroup 4 ,
 .Xr nfslog.conf 4 ,
+.Xr acl 5 ,
 .Xr attributes 5 ,
 .Xr nfssec 5
 .Sh NOTES
--- old/usr/src/uts/common/nfs/export.h	Sat Dec 17 15:39:40 2016
+++ new/usr/src/uts/common/nfs/export.h	Sat Dec 17 15:39:40 2016
@@ -22,6 +22,7 @@
 /*
  * Copyright 2016 Nexenta Systems, Inc.  All rights reserved.
  * Copyright (c) 1989, 2010, Oracle and/or its affiliates. All rights reserved.
+ * Copyright 2016 Jason King.
  */
 
 /*	Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T	*/
@@ -185,8 +186,9 @@
 #endif /* VOLATILE_FH_TEST */
 
 #define	EX_CHARMAP	0x1000	/* NFS may need a character set conversion */
-#define	EX_NOACLFAB	0x2000	/* If set, NFSv2 and v3 servers doesn't */
-				/* fabricate ACL for VOP_GETSECATTR OTW call */
+#define	EX_NOACLFAB	0x2000	/* If set, NFSv2 and v3 servers won't */
+				/* fabricate an aclent_t ACL on file systems */
+				/* that don't support aclent_t ACLs */
 
 #ifdef	_KERNEL
 
